!=================================================================!
! Driver for SAXPY / DAXPY                                        !
! y <--- a * x + y                                                !
!-----------------------------------------------------------------!
! Last updated : Mon. November 9, 2015                            !
!=================================================================!
      subroutine daxpy(a,n,x,y)
      use  globalmod_accuracy

      implicit none
      integer, intent(in)                           :: n
      real(KIND=idp), intent(in)                    :: a
      real(KIND=idp), dimension(1:n), intent(in)    :: x
      real(KIND=idp), dimension(1:n), intent(inout) :: y

      y = a * x - y

      return
      end subroutine daxpy
